| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::util::optional< T > Class Template Reference

`#include <opencv2/gapi/util/optional.hpp>`

Collaboration diagram for cv::util::optional< T >:

## Public Member Functions
| optional ()
| optional (const optional &)=default
| optional (const T &) noexcept
| optional (optional &&) noexcept
| optional (T &&) noexcept
bool | has_value () const noexcept
| operator bool () const noexcept
T & | operator* ()
const T & | operator* () const
T * | operator-> ()
const T * | operator-> () const
optional & | operator= (const optional &)=default
optional & | operator= (optional &&)
void | reset () noexcept
void | swap (optional &other) noexcept
T & | value ()
const T & | value () const
template<class U >
T | value_or (U &&default_value) const

## Constructor & Destructor Documentation

## ◆ optional() [1/5]

template<typename T >

cv::util::optional< T >::optional | ( |  | ) |
| inline

## ◆ optional() [2/5]

template<typename T >

cv::util::optional< T >::optional | ( | const optional< T > & |  | ) |
| default

## ◆ optional() [3/5]

template<class T >

cv::util::optional< T >::optional | ( | T && | v | ) |
| explicit noexcept

## ◆ optional() [4/5]

template<class T >

cv::util::optional< T >::optional | ( | const T & | v | ) |
| explicit noexcept

## ◆ optional() [5/5]

template<class T >

cv::util::optional< T >::optional | ( | optional< T > && | rhs | ) |
| noexcept

## Member Function Documentation

## ◆ has_value()

template<class T >

bool cv::util::optional< T >::has_value | ( |  | ) | const
| noexcept

Here is the call graph for this function:

## ◆ operator bool()

template<class T >

cv::util::optional< T >::operator bool | ( |  | ) | const
| noexcept

## ◆ operator*() [1/2]

template<class T >

T & cv::util::optional< T >::operator* | ( |  | ) |

## ◆ operator*() [2/2]

template<class T >

const T & cv::util::optional< T >::operator* | ( |  | ) | const

## ◆ operator->() [1/2]

template<class T >

T * cv::util::optional< T >::operator-> | ( |  | ) |

## ◆ operator->() [2/2]

template<class T >

const T * cv::util::optional< T >::operator-> | ( |  | ) | const

## ◆ operator=() [1/2]

template<typename T >

optional & cv::util::optional< T >::operator= | ( | const optional< T > & |  | ) |
| default

## ◆ operator=() [2/2]

template<class T >

optional< T > & cv::util::optional< T >::operator= | ( | optional< T > && | rhs | ) |

## ◆ reset()

template<class T >

void cv::util::optional< T >::reset | ( |  | ) |
| noexcept

## ◆ swap()

template<class T >

void cv::util::optional< T >::swap | ( | optional< T > & | other | ) |
| noexcept

## ◆ value() [1/2]

template<class T >

T & cv::util::optional< T >::value | ( |  | ) |

Here is the call graph for this function:

## ◆ value() [2/2]

template<class T >

const T & cv::util::optional< T >::value | ( |  | ) | const

Here is the call graph for this function:

## ◆ value_or()

template<class T >
template<class U >

T cv::util::optional< T >::value_or | ( | U && | default_value | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/util/optional.hpp